Bug 1197662 - Installation of "openSUSE-Leap-15.3-3-NET-x86_64-Build38.1-Media" not possible
Installation of "openSUSE-Leap-15.3-3-NET-x86_64-Build38.1-Media" not possible
Status: CONFIRMED
: 1199236 (view as bug list)
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Installation
Leap 15.3
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Lubos Kocman
Jiri Srain
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-03-29 17:50 UTC by Alex B.
Modified: 2022-05-24 14:59 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Screenshot (5.49 KB, image/png)
2022-03-29 17:50 UTC, Alex B.
Details
step2 (4.74 KB, image/png)
2022-03-29 19:53 UTC, Alex B.
Details
step3 (6.05 KB, image/png)
2022-03-29 19:53 UTC, Alex B.
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex B. 2022-03-29 17:50:45 UTC
Created attachment 857488 [details]
Screenshot

Hi.
When using the NET iso ("openSUSE-Leap-15.3-3-NET-x86_64-Build38.1-Media") the installation does not work, see screenshot.
The installation does not start properly.

I got this file from https://get.opensuse.org/leap/
and downloading then
https://download.opensuse.org/distribution/leap/15.3/iso/openSUSE-Leap-15.3-NET-x86_64-Current.iso

Is the mirroring system working properly?

thanks!
Comment 1 Georg Pfuetzenreuter 2022-03-29 18:04:29 UTC
Hi Alex,

that is not an error, what happens after selecting "Yes"?
Comment 2 Alex B. 2022-03-29 19:52:44 UTC
Hi Georg.
No, this does not result in any success.
I just used Virtualbox to verify.

The MD5 of my ISO:
377f3b03d9748adae58ce9120f1fcf10  openSUSE-Leap-15.3-3-NET-x86_64-Build38.1-Media.iso

2 Screenshots attached: step2 + step3
Comment 3 Alex B. 2022-03-29 19:53:15 UTC
Created attachment 857489 [details]
step2
Comment 4 Alex B. 2022-03-29 19:53:43 UTC
Created attachment 857490 [details]
step3
Comment 5 Georg Pfuetzenreuter 2022-03-29 20:08:14 UTC
Thanks for the additional screenshots!
I was able to reproduce this.

Assuming you have an internet connection in the VM (which I assume you do as you are using the net-install .iso), on the screen shown in your 'step3' screenshot, could you select "Enter another URL" and enter the following:

https://download.opensuse.org/distribution/leap/15.3/repo/oss/

It may pre-fill the input box with something like "hd:", make sure to clear that before pasting the URL.
Comment 6 Alex B. 2022-03-30 06:41:31 UTC
Hello Georg.
Why is this necessary?
I used the NET-image several times before and it was always a easy way to install opensuse. Why is this additional step necessary?

this seems like an unnecessary burden.

thanks
Alex
Comment 7 Georg Pfuetzenreuter 2022-03-30 06:43:41 UTC
Can you confirm whether it worked this way?
Comment 8 Alex B. 2022-03-30 07:01:54 UTC
Yes, this worked.
The graphical installer came up.

Can we fix this additional step in-between?
Comment 9 Georg Pfuetzenreuter 2022-03-30 07:09:13 UTC
Thanks for confirming!

The current .iso does not seem to ship with the latest installer. This is not by itself an issue (albeit it would probably be nice to have an .iso with the latest version released), as the installer is able to self-update itself, but it feels as if the installer does not re-request a DHCP lease after kexec-loading into the new kernel after performing its self-update. Not sure if this is accurate though.

I'll leave this bug to the screening team to assign it to the correct group.
Comment 10 Steffen Winterfeldt 2022-04-01 12:19:28 UTC
The problem is that the ISO at

https://download.opensuse.org/distribution/leap/15.3/iso

is newer than the repo at the same place.

The installer boots from the ISO and then finds the additional parts it would
get from the repo don't match.

It then offers to download also the boot files from the repo and to restart.

This then also fails because the boot files from the repo are not the network
boot files but the DVD boot files - and the installer is not using the network
repo but rather checking for a local repo.

A workaround is to use the instsyscomplain=0 boot option to turn off that check
in the hope nothing will break (a quick test worked).

A solution is to

(1) keep ISO and repo in sync and/or
(2) use the netowrk ISO boot files for .../repo/oss/boot/x86_64/ (at least the initrd) - to ensure the fallback works
Comment 11 Steffen Winterfeldt 2022-04-01 12:21:23 UTC
Reassigning to Lubos as Leap release manager.
Comment 12 Lubos Kocman 2022-04-26 12:24:18 UTC
Thank you I'll look into the issue, perhaps something that we've overlooked on the SP3:Update respin
Comment 13 Steffen Winterfeldt 2022-05-09 11:52:06 UTC
*** Bug 1199236 has been marked as a duplicate of this bug. ***
Comment 14 Lubos Kocman 2022-05-24 14:17:53 UTC
Just to connfirm our GA images were published on 20th May that seems like all the related updates were covered. 

Matthias something tells me that if 15.4 has still the same issue, then the issue wasn't really fixed.

Matthias was looking into the issue. Did you find something Matthias?
Comment 15 Matthias Brugger 2022-05-24 14:59:09 UTC
(In reply to Lubos Kocman from comment #14)
> Just to connfirm our GA images were published on 20th May that seems like
> all the related updates were covered. 
> 
> Matthias something tells me that if 15.4 has still the same issue, then the
> issue wasn't really fixed.
> 
> Matthias was looking into the issue. Did you find something Matthias?

Lubos are you talking about bsc#1186677? That's a different issue and has nothing to do with this one.

Anyway the installer reboots after updating itself (using openSUSE-Leap-15.4-NET-aarch64-Build236.1-Media.iso) so I suppose the issue is still present in Leap 15.4